# Retrieve Reputation Score

Retrieve the Reputation Score for an FSL ID user.

## Pre-requisite

Make sure the `ReputationScore` [Grant Scope](/developers/grant-scope.md) is included when requesting authorization. You cannot share or retrieve reputation scores without approval from the user.

## API

<mark style="color:green;">`Post`</mark> `/api/account/party/reputationscore`

**Header**

| Name          | Value                   |
| ------------- | ----------------------- |
| Content-Type  | `application/json`      |
| Authorization | `Bearer <access token>` |

**Parameters**

<table><thead><tr><th width="148">Name</th><th width="121">Mandatory?</th><th>Description</th></tr></thead><tbody><tr><td><code>appid</code></td><td>N</td><td>Provide the <code>appid</code> if you want to retrieve scores from a specific app. You can find the App ID from developer console.<br>Retrieve global score if you don't provide <code>appid</code>.</td></tr></tbody></table>

**Request Example**

```sh
curl --location 'https://$API_BASE_URL/api/account/party/reputationscore' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer access_token'
-d "appid=xxxxxxx"

```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "code": 0,
    "data": {
        "fslUid": 1111111,
        "appid": "xxxxxxx",
        "reputationScore": {
            "ALL": {
                "Trade Volume": "Whale"
            },
            "30D": {
                "Trade Volume": "Shark",
                "Active": "Casual"
            },
            "7D": {
                "Active": "Engaged"
            }
        }
    }
}
```

{% endtab %}

{% tab title="Error Code" %}

```json
{
    "code": 208403,
    "message": "No user grant or revoked"
}
/*
208004: Invalid access token
301002: User doesn't exist
208403: No user grant or revoked
209001: Invalid App ID
*/
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://id-docs.fsl.com/developers/reputation-score/retrieve-reputation-score.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
